<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Timesheet extends Model
{
    use HasFactory;
    protected $fillable = [
        'company_name',
        'development',
        'work_date',
        'contract_no',
        'contractor',
        'employee_id',
        'work_classification',
        'ssn',
        'time_in',
        'time_out',
        'timesheet_image_id'
    ];
    public function employee()
    {
        return $this->belongsTo(Employee::class);
    }
}
