<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="{!! asset('face_auth/face_auth_style.css') !!}">
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <title></title>
</head>
<body>
<div class="container py-5">
    <div class="row justify-content-center">
        <div class="col-md-8 col-sm-12">
            <div id="loadingOverlay" class="overlay">
                <div class="spinner"></div>
            </div>
            <div id="errorMessage" class="message error"></div>
            <div id="successMessage" class="message success"></div>
            @yield('face_auth_content')
        </div>
    </div>
</div>

<script src="https://sdk.amazonaws.com/js/aws-sdk-2.1483.0.min.js"></script>
<script src="{!! asset('face_auth/face_auth.js') !!}"></script>
</body>
</html>
