@extends('face_rekognition.face_auth_layout')
@section('face_auth_content')
    <div class="card shadow-lg p-4 rounded">
        <h1 class="text-center mb-4">Store Employees Facial Information</h1>

        <form id="registrationForm" method="POST" action="#">
            <!-- Input Fields -->
            <div class="mb-3">
                <label for="name" class="form-label">Employee Name</label>
                <input type="text" class="form-control" id="name" name="name" placeholder="Enter employee name" required>
            </div>
            <div class="mb-3">
                <label for="employee_id" class="form-label">Employee ID</label>
                <input type="text" class="form-control" id="employee_id" name="employee_id" placeholder="Enter employee ID" required>
            </div>
            <div class="mb-3">-
                <label for="code" class="form-label">Employee Code</label>
                <input type="text" class="form-control" id="code" name="code" placeholder="Enter employee code" required>
            </div>
            <div class="mb-3">
                <label for="department" class="form-label">Department</label>
                <input type="text" class="form-control" id="department" name="department" placeholder="Enter department" required>
            </div>

            <!-- Camera Section -->
            <div class="camera-container text-center mt-4">
                <div class="border rounded bg-light p-3 position-relative">
                    <video id="cameraFeed" autoplay muted class="rounded" style="width: 100%; max-height: 250px;"></video>
                    <div id="photoPreview" class="d-flex flex-wrap justify-content-center mt-3"></div>
                </div>
            </div>

            <!-- Buttons -->
            <div class="d-grid gap-3 mt-4">
                <button type="button" id="startCapture" class="btn btn-primary">Start Capture</button>
                <button type="submit" class="btn btn-success" id="registerEmployee">Register Employee</button>
            </div>
        </form>
    </div>
@endsection
