<?php

use App\Http\Controllers\AuthController;
use App\Http\Controllers\TimeSheetController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/



Route::post('registration', [AuthController::class,'registration']);

Route::get('check_date/{timesheetDate}', [TimeSheetController::class, 'validateTimesheetDate']);
Route::post('save_timesheet_image_data', [TimeSheetController::class, 'saveTimesheetImageDataStructure']);
