<?php
// app/Models/ExpenseHead.php
namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ExpenseHead extends Model
{
    use HasFactory;

    protected $fillable = ['name', 'parent_id'];

    public function parent()
    {
        return $this->belongsTo(ExpenseHead::class, 'parent_id');
    }

    public function children()
    {
        return $this->hasMany(ExpenseHead::class, 'parent_id');
    }
}
